maps = {
"string_num_map" : {
    "zero": 0,
    "one": 1,
    "two": 2,
    "three": 3,
    "four": 4,
    "five": 5,
    "six": 6,
    "seven": 7,
    "eight": 8,
    "nine": 9,
    "ten": 10,
    "eleven": 11,
    "twelve": 12,
    "thirteen": 13,
    "fourteen": 14,
    "fifteen": 15,
    "sixteen": 16,
    "seventeen": 17,
    "eighteen": 18,
    "nineteen": 19,
    "twenty": 20,
    "twenty-one": 21,
    "twenty-two": 22,
    "twenty-three": 23,
    "twenty-four": 24,
    "twenty-five": 25,
    "twenty-six": 26,
    "twenty-seven": 27,
    "twenty-eight": 28,
    "twenty-nine": 29,
    "thirty": 30,
    "thirty-one": 31,
    "thirty-two": 32,
    "thirty-three": 33,
    "thirty-four": 34,
    "thirty-five": 35,
    "thirty-six": 36,
    "thirty-seven": 37,
    "thirty-eight": 38,
    "thirty-nine": 39,
    "forty": 40,
    "forty-one": 41,
    "forty-two": 42,
    "forty-three": 43,
    "forty-four": 44,
    "forty-five": 45,
    "forty-six": 46,
    "forty-seven": 47,
    "forty-eight": 48,
    "forty-nine": 49,
    "fifty": 50,
    "fifty-one": 51,
    "fifty-two": 52,
    "fifty-three": 53,
    "fifty-four": 54,
    "fifty-five": 55,
    "fifty-six": 56,
    "fifty-seven": 57,
    "fifty-eight": 58,
    "fifty-nine": 59,
    "sixty": 60,
    "sixty-one": 61,
    "sixty-two": 62,
    "sixty-three": 63,
    "sixty-four": 64,
    "sixty-five": 65,
    "sixty-six": 66,
    "sixty-seven": 67,
    "sixty-eight": 68,
    "sixty-nine": 69,
    "seventy": 70,
    "seventy-one": 71,
    "seventy-two": 72,
    "seventy-three": 73,
    "seventy-four": 74,
    "seventy-five": 75,
    "seventy-six": 76,
    "seventy-seven": 77,
    "seventy-eight": 78,
    "seventy-nine": 79,
    "eighty": 80,
    "eighty-one": 81,
    "eighty-two": 82,
    "eighty-three": 83,
    "eighty-four": 84,
    "eighty-five": 85,
    "eighty-six": 86,
    "eighty-seven": 87,
    "eighty-eight": 88,
    "eighty-nine": 89,
    "ninety": 90,
    "ninety-one": 91,
    "ninety-two": 92,
    "ninety-three": 93,
    "ninety-four": 94,
    "ninety-five": 95,
    "ninety-six": 96,
    "ninety-seven": 97,
    "ninety-eight": 98,
    "ninety-nine": 99
},

"scientific_notation": {
    "10²": 100,
    "10³": 1000,
    "10⁴": 10000,
    "10⁵": 100000,
    "10⁶": 1000000,
    "10⁷": 10000000,
    "10⁸": 100000000,
    "10⁹": 1000000000,
    "10¹⁰": 10000000000,
    "10²⁰": 100000000000000000000,
    "10³⁰": 1000000000000000000000000000000,
    "10⁴⁰": 10000000000000000000000000000000000000000,
    "10⁵⁰": 100000000000000000000000000000000000000000000000000,
    "10−1": 0.1,
    "10−2": 0.01,
    "10−3": 0.001,
    "10−4": 0.0001,
    "10−5": 0.00001,
    "10−6": 0.000001,
    "10−7": 0.0000001,
    "10−8": 0.00000001,
    "10−9": 0.000000001,
    "10−10": 0.0000000001,
    "10−20": 0.00000000000000000001,
    "10−30": 0.000000000000000000000000000001,
    "10−40": 0.0000000000000000000000000000000000000001,
    "10−50": 0.0000000000000000000000000000000000000000000000000001,
},

"scales": {
    "dozen": 12,
    "doz": 12,
    "dozs": 12,
    "dzs": 12,
    "dz": 12,
    "hundred": 100,
    "thousand": 1_000,
    "lakh": 100_000,
    "million": 1_000_000,
    "mil": 1_000_000,
    #"m": 1_000_000, # distinguish between meter and million
    "mln": 1_000_000,
    "crore": 10_000_000,
    "billion": 1_000_000_000,
    "bln": 1_000_000_000,
    "trillion": 1_000_000_000_000,
    "tln": 1_000_000_000_000
},

"fractions" : {
    "half": 1/2,
    "halve": 1/2,
    "third": 1/3,
    "two-thirds": 2/3,
    "two-third": 2/3,
    "fourth": 1/4,
    "quarter": 1/4,
    "three-quarters": 3/4,
    "three-quarter": 3/4,
    "fifth": 1/5,
    "two-fifths": 2/5,
    "two-fifth": 2/5,
    "three-fifths": 3/5,
    "three-fifth": 3/5,
    "four-fifths": 4/5,
    "four-fifth": 4/5,
    "sixth": 1/6,
    "five-sixths": 5/6,
    "five-sixth": 5/6,
    "seventh": 1/7,
    "eighth": 1/8,
    "three-eighths": 3/8,
    "three-eighth": 3/8,
    "five-eighths": 5/8,
    "five-eighth": 5/8,
    "seven-eighths": 7/8,
    "seven-eighth": 7/8,
    "ninth": 1/9,
    "two-ninths": 2/9,
    "two-ninth": 2/9,
    "four-ninths": 4/9,
    "four-ninth": 4/9,
    "five-ninths": 5/9,
    "five-ninth": 5/9,
    "seven-ninths": 7/9,
    "seven-ninth": 7/9,
    "eight-ninths": 8/9,
    "eight-ninth": 8/9,
    "tenth": 1/10,
    "twelfth": 1/12,
    "sixteenth": 1/16,
    "one thirty-second": 1/32,
    "hundredth": 1/100,
    "a hundred twenty-eighth": 1/128
},

"suffixes": {
  "K": 1_000,
  "M": 1_000_000,
  "B": 1_000_000_000,
},

"bounds": {
    # equality
    "exactly": "=",
    "just": "=",
    "equals": "=",
    "equal": "=",
    "totalling": "=",
    "=": "=",

    # approx
    "barely": "~",
    "about": "~",
    "approximately": "~",
    "average": "~",
    "averaging" : "~",
    "roughly": "~",
    "around": "~",
    "nearly": "~",
    "close": "~",
    "circa": "~",
    "estimate": "~",
    "some": "~",
    "~": "~",
    "~ =": "~",
    "~=": "~",
    "≈": "~",

    # greater than
    "more": ">",
    "least": ">",
    "above": ">",
    "over": ">",
    "well over": ">",
    "greater": ">",
    "great": ">",
    "larger": ">",
    "large": ">",
    "exceeding": ">",
    "exceed": ">",
    "higher": ">",
    "high": ">",
    ">": ">",
    ">=": ">",
    "> =": ">=",

    # less than
    "less": "<",
    "fewer": "<",
    "few": "<",
    "under": "<",
    "most": "<",
    "below": "<",
    "up to": "<",
    "smaller": "<",
    "small": "<",
    "beneath": "<",
    "lower": "<",
    "low": "<",
    "<": "<",
    "<=": "<",
    "< =": "<=",

    # down \u2198
    "collapse": "down",
    "decline": "down",
    "decrease": "down",
    "descend": "down",
    "dip": "down",
    "down": "down",
    "downward": "down",
    "drop": "down",
    "fall": "down",
    "flop": "down",
    "lose": "down",
    "plummet": "down",
    "plunge": "down",
    "sag": "down",
    "shrink": "down",
    "skid": "down",
    "slide": "down",
    "slip": "down",
    "slump": "down",
    "spil": "down",
    "stumble": "down",
    "tumble": "down",

    # up \u2197
    "add": "up",
    "advance": "up",
    "ascend": "up",
    "climb": "up",
    "gain": "up",
    "grow": "up",
    "increase": "up",
    "jump": "up",
    "rally": "up",
    "rise": "up",
    "rise under": "up",
    "surge": "up",
    "up": "up",
    "upward": "up"

    # negation (what was the idea?)
    }
}

suffixes = {
    "B": "billion",
    "b": "billion",
    "M": "million",
    #"m": "million",
    "K": "thousand",
    "k": "thousand",
    "bn": "billion",
    "tn": "trillion",
}

prefixes = {
    "q": "quecto", # 10^-30
    "r": "ronto", # 10^-27
    "y": "yocto", # 10^-24
    "z": "zepto", # 10^-21
    "a": "atto", # 10^-18
    "f": "femto", # 10^-15
    "p": "pico", # 10^-12
    "n": "nano", # 10^-9
    "μ": "micro", # 10^-6
    "\u00b5": "micro", # 10^-6
    "m": "milli", # 10^-3
    "c": "centi", # 10^-2
    "d": "deci", # 10^-1
    #"da": "deka", # 10^1
    "h": "hecto", # 10^2
    "k": "kilo", # 10^3
    "M": "mega", # 10^6
    "G": "giga", # 10^9
    "T": "tera", # 10^12
    "P": "peta", # 10^15
    "E": "exa",  # 10^18
    "Z": "zetta", # 10^21
    "Y": "yotta", # 10^24
    "R": "ronna", # 10^27
    "Q": "quetta", # 10^30
    "Ki": "kibi", # 2^10
    "Mi": "mebi", # 2^20
    "Gi": "gibi", # 2^30
    "Ti": "tebi", # 2^40
    "Pi": "pebi", # 2^50
    "Ei": "exbi", # 2^60
    "Zi": "zebi", # 2^70
    "Yi": "yobi"  # 2^80
}

# suffixes_units={"c":"celsius",
#                 "mm":"millimetre",
#                 "g":"gram",
#                 "kg":"kilogram",
#                 "GB":"gigabyte",
#                 "KB":"kilobyte",
#                 "MB":"megabyte",
#                 "TB":"terabyte",
#                 "Mp":"megapixel",
#                 "Mpx":"megapixel",
#                 "Mpix":"megapixel",
#                 ""}
